#!/bin/bash
set -e

psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" --dbname "$POSTGRES_DB" <<-EOSQL
	CREATE USER {{ pg_limesurvey_user }};
	CREATE DATABASE {{ pg_limesurvey_dbname }};
	ALTER USER {{ pg_limesurvey_user }} WITH ENCRYPTED PASSWORD '{{ pg_limesurvey_password }}';
	GRANT ALL PRIVILEGES ON DATABASE {{ pg_limesurvey_dbname }} TO {{ pg_limesurvey_user }};
EOSQL
BACKUP_FILE=/tmp/backup/backup.sql
psql -U {{ pg_limesurvey_user }} -d {{ pg_limesurvey_dbname }} < $BACKUP_FILE



